---
title: SharedWorkerGlobalScope.applicationCache
slug: Web/API/SharedWorkerGlobalScope/applicationCache
tags:
  - API
  - Property
  - Reference
  - Référence(2)
  - SharedWorkerGlobalScope
  - Web Workers
  - applicationCache
---
<div>{{APIRef("Web Workers API")}}</div>

<div class="warning">
<p><strong>Important</strong>: Application Cache is deprecated as of Firefox 44, and is no longer available in insecure contexts from Firefox 60 onwards ({{bug(1354175)}}, currently Nightly/Beta only). Don't use it to make offline websites — consider using <a href="/en-US/docs/Web/API/Service_Worker_API">service workers</a> instead.</p>
</div>

<p>The <code><strong>applicationCache</strong></code> read-only property of the {{domxref("SharedWorkerGlobalScope")}} interface returns the {{domxref("ApplicationCache")}} object for the worker (see <a href="/en-US/docs/Web/HTML/Using_the_application_cache">Using the application cache</a>).</p>

<h2 id="Syntax">Syntax</h2>

<pre class="brush: js">var nameObj = self.applicationCache;</pre>

<h3 id="Value">Value</h3>

<p>An {{domxref("ApplicationCache")}}.</p>

<h2 id="Example">Example</h2>

<p>If a shared worker has an AppCache associated with it, you can return a reference to the cache using</p>

<pre class="brush: js">self.applicationCache</pre>

<p>from inside the shared worker.</p>

<h2 id="Browser_Compatibility">Browser compatibility</h2>

<p>{{Compat("api.SharedWorkerGlobalScope.applicationCache")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("SharedWorkerGlobalScope")}}</li>
</ul>
